--- CREAR FUNCIONALIDAD (a todas las info adicional)

declare @licencia as varchar(100)
set @licencia =(SELECT uid FROM [seg_usuario] where id=1)

declare @id_permisoaccion as int
declare @id_funcionalidad_padre as int  

if not exists (
select * from gui_funcionalidad where id_funcionalidad in  (select id_funcionalidad from view_gui_funcionalidad where nombreControl = 'inc_datosEquipo' and id_tipoFuncionalidad = 1 
 and gui_funcionalidad_padre_url like '/forms/doc/doc_documento%' )
 and  nombreComando = 'editarinfoadicional' and id_tipoFuncionalidad = 5 )
begin
INSERT INTO [gui_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[funcionalidad]
           ,[funcionalidad_codigo]	
           ,[urlImagen]
           ,[urlFormulario]
           ,[targetUrl]
           ,[url]
           ,[toolTip]
           ,[esMenu]
           ,[nombreControl]
           ,[nombreComando]
           ,[orden]
           ,[id_funcionalidad]
           ,[id_tipoFuncionalidad])
   select 
   @licencia,
   '01',
   1,
   1,
   GETDATE(),
   GETDATE(),
   1,
   'Editar Info Adicional',
   '',
   '',
   '',
   '',
   '',
   '',
   0,
   gui_funcionalidad_padre_nombreControl ,
   'editarinfoadicional',
   0,
   id_funcionalidad,
   5 from view_gui_funcionalidad where nombreControl = 'inc_datosEquipo' and id_tipoFuncionalidad = 1 
	and gui_funcionalidad_padre_url like '/forms/doc/doc_documento%' 

          
 end 



--- ASIGNACION DE PERMISOS 

INSERT INTO [seg_perfil_funcionalidad]
           ([uid]
           ,[eid]
           ,[id_usuario_modifico]
           ,[id_usuario_creo]
           ,[fechaModificacion]
           ,[fechaCreacion]
           ,[active]
           ,[perfil_funcionalidad]
           ,[id_perfil]
           ,[id_funcionalidad])

    
     select  
     @licencia,
     '01',
     1,
     1,
     getdate(),
     getdate(),
     1,
     '',
     seg_perfil.id ,
     gui_funcionalidad.id
 from gui_funcionalidad, seg_perfil 
 where id_funcionalidad in  (select id_funcionalidad from view_gui_funcionalidad 
 where nombreControl = 'inc_datosEquipo' and id_tipoFuncionalidad = 1 
 and gui_funcionalidad_padre_url like '/forms/doc/doc_documento%' )
 and  nombreComando = 'editarinfoadicional' and id_tipoFuncionalidad = 5 and seg_perfil.id>0
 and not exists (select * from seg_perfil_funcionalidad where  active=1 and id_funcionalidad=gui_funcionalidad.id and  id_perfil =seg_perfil.id )
 order by   gui_funcionalidad.id_funcionalidad , seg_perfil.id